Bug 164578 - No possibility to suppress [x] on CloseButtonTabbedPane
No possibility to suppress [x] on CloseButtonTabbedPane
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Becicka
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 12:32 UTC by Jan Becicka
Modified: 2009-05-12 07:43 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Suggested patch (3.44 KB, patch)
2009-05-06 12:44 UTC, Jan Becicka
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2009-05-06 12:32:53 UTC
There is no possibility to suppress [x] on CloseButtonTabbedPane
Comment 1 Jan Becicka 2009-05-06 12:44:57 UTC
Created attachment 81637 [details]
Suggested patch
Comment 2 Jan Becicka 2009-05-06 12:46:25 UTC
Please review my changes.
Comment 3 Stanislav Aubrecht 2009-05-11 08:27:04 UTC
would be nice to also turn off tab title padding when the close button is suppressed (see add(Component) and
setTitleAt(int,String)
otherwise it looks ok to me
Comment 4 Jan Becicka 2009-05-11 12:51:16 UTC
Thanks
Comment 5 Jan Becicka 2009-05-11 12:51:31 UTC
http://hg.netbeans.org/cdev/rev/d8c30a7fb974
Comment 6 Quality Engineering 2009-05-12 07:43:48 UTC
Integrated into 'main-golden', will be available in build *200905120201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d8c30a7fb974
User: Jan Becicka <jbecicka@netbeans.org>
Log: #164578: Added option to hide close button


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo